FreeBSD : phppgadmin -- directory traversal with register_globals enabled (4ce3c20b-124b-11de-a964-0030843d3802)

This script is Copyright (C) 2009-2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Secunia reports :

Dun has discovered a vulnerability in phpPgAdmin, which can be
exploited by malicious people to disclose sensitive information.

Input passed via the '_language' parameter to libraries/lib.inc.php is
not properly sanitised before being used to include files. This can be
exploited to include arbitrary files from local resources via
directory traversal attacks and URL-encoded NULL bytes.

See also :

http://www.nessus.org/u?34d09316

Solution :

Update the affected package.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N)
CVSS Temporal Score : 3.7
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 35937 (freebsd_pkg_4ce3c20b124b11dea9640030843d3802.nasl)

Bugtraq ID: 32670

CVE ID: CVE-2008-5587

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now